Qt Reference Documentation

# QStyleOptionGroupBox Class Reference

The QStyleOptionGroupBox class describes the parameters for drawing a group box. More...

     #include <QStyleOptionGroupBox>

Inherits: QStyleOptionComplex.

This class was introduced in Qt 4.1.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionGroupBox ()
| QStyleOptionGroupBox ( const QStyleOptionGroupBox & other )

- 2 public functions inherited from QStyleOption

## Public Variables

QStyleOptionFrameV2::FrameFeatures | features
int | lineWidth
int | midLineWidth
QString | text
Qt::Alignment | textAlignment
QColor | textColor

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionGroupBox class describes the parameters for drawing a group box.

QStyleOptionButton contains all the information that QStyle functions need the various graphical elements of a group box.

It holds the lineWidth and the midLineWidth for drawing the panel, the group box's title and the title's alignment and color.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption, QStyleOptionComplex, and QGroupBox.

## Member Type Documentation

### enum QStyleOptionGroupBox::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionGroupBox::Type` | `SO_GroupBox` | The type of style option provided (SO_GroupBox for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionGroupBox::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionGroupBox::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionGroupBox::QStyleOptionGroupBox ()

Constructs a QStyleOptionGroupBox, initializing the members variables to their default values.

### QStyleOptionGroupBox::QStyleOptionGroupBox ( const QStyleOptionGroupBox & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### QStyleOptionFrameV2::FrameFeatures QStyleOptionGroupBox::features

This variable holds the features of the group box frame.

The frame is flat by default.

See also QStyleOptionFrameV2::FrameFeature.

### int QStyleOptionGroupBox::lineWidth

This variable holds the line width for drawing the panel.

The value of this variable is, currently, always 1.

See also QFrame::lineWidth.

### int QStyleOptionGroupBox::midLineWidth

This variable holds the mid-line width for drawing the panel.

The mid-line width is usually used when drawing sunken or raised group box frames. The value of this variable is, currently, always 0.

See also QFrame::midLineWidth.

### QString QStyleOptionGroupBox::text

This variable holds the text of the group box.

The default value is an empty string.

See also QGroupBox::title.

### Qt::Alignment QStyleOptionGroupBox::textAlignment

This variable holds the alignment of the group box title.

The default value is Qt::AlignLeft.

See also QGroupBox::alignment.

### QColor QStyleOptionGroupBox::textColor

This variable holds the color of the group box title.

The default value is an invalid color with the RGB value (0, 0, 0). An invalid color is a color that is not properly set up for the underlying window system.